Last modified: 2014-04-26 08:36:55 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 15073 - Create a way for handling meta-organization of books
Create a way for handling meta-organization of books
Status: NEW
Product: MediaWiki
Classification: Unclassified
Special pages (Other open bugs)
1.14.x
All All
: Low enhancement with 1 vote (vote)
: ---
Assigned To: Nobody - You can work on this!
http://en.wikibooks.org/w/index.php?t...
:
Depends on: 15071 31075 54231 54234
Blocks: 64475
  Show dependency treegraph
 
Reported: 2008-08-07 18:36 UTC by Mike.lifeguard
Modified: 2014-04-26 08:36 UTC (History)
3 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Mike.lifeguard 2008-08-07 18:36:16 UTC
From the URL specified: 

I would like some kind of meta-organizational ability for books. This means that we specify a list of pages for a book, in reading order on one page, or in a form or something. With the list in place, the software can, optionally, do stuff:
#Create an automatic table of contents. Consider a page like Special:Tableofcontents/Book, which we could also transclude into another page if we wanted to.
#Create an automatic print version. Something like Special:Printversion/Book. this should, of course, integrate with the upcoming click-to-print extension that people have been talking about
#Create automatic forward/back links on subpages, possibly at top and bottom of pages

--'''Whiteknight''' ([[User:Whiteknight|Page]]) ([[User talk:Whiteknight|Talk]]) 19:24, 18 April 2008 (UTC)
Comment 1 Siebrand Mazeland 2008-08-10 23:02:49 UTC
This is a very specialised feature request (like bug 15074). I think that without some additional effort/outreach, there will not ever be a response to this issue. I suggest to close this yourself with 'WONTFIX' and find alternative ways to get this feature request filled.

Work is being done on [[mw:Extension:Collection]]. You may want to get in touch with the author, and try to conveince him to put in some of the features you think are must/should have.
Comment 2 Mike.lifeguard 2008-08-11 00:23:14 UTC
We are doing so currently (or at least I am), and that may be how this bug gets closed in the end. Or it may not be.
Comment 3 Helder 2011-03-20 15:03:04 UTC
(In reply to comment #0)
> #Create an automatic print version. Something like Special:Printversion/Book.
> this should, of course, integrate with the upcoming click-to-print extension
> that people have been talking about
> #Create automatic forward/back links on subpages, possibly at top and bottom of
> pages

You may want to take a look at Extension:BookManager, which provides both automatic navigation and automatic print version:
https://secure.wikimedia.org/wikipedia/mediawiki/wiki/Extension:BookManager

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links